﻿@using Isen.DotNet.Library.Models.Implementation;
@using Isen.DotNet.Library.Repositories.Interfaces;
@{
    ViewData["Title"] = "Address (détail)";
}
@inject ITownRepository _townRepository;
@model Address
<div class="row">
    <div class="col-md-12">
        <h1>Détail d'une addresse <small>/address/detail</small></h1>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <form class="form-horizontal" asp-action="Detail">
            <input type="hidden" value="@Model?.Id" asp-for="Id" />
            <div>
                <label for="TextLine" class="control-label">N° et Nom de Rue :</label>
                <input type="text" class="form-control"
                       id="TextLine" placeholder="N° et Nom de Rue"
                       value="@Model?.TextLine" asp-for="TextLine" />

                <div>
                    <label for="TownId">
                        Commune :
                    </label>
                    @Html.DropDownListFor(
                           // Champ du modèle (quelle ville faut-il sélectionner)
                           // Le moteur Razor sait que p est une Personne
                           // grace à @model Person
                           a => a.TownId,
                           // Remplissage de la liste
                           new SelectList(
                               // Liste des entités qui peuplent la liste
                               // voir @using et @inject en haut de fichier
                               _townRepository.GetAll(),
                               // Champ de clé
                               "Id",
                               // Champ d'affichage
                               "Name"),
                           // Item par défaut
                           "<Sélectionnez une commune>",
                           // Classe CSS
                           // Le @ n'est pas celui de Razor mais celui du C#
                           // Si on veut nommer une classe ou un champ avec un
                           // mot clé du langage, on le fait précéder d'un @
                           new { @class = "form-control" })
                </div>

                <label for="ZipCode" class="control-label">Code Postal :</label>
                <input type="text" class="form-control"
                       id="ZipCode" placeholder="Code Postal"
                       value="@Model?.ZipCode" asp-for="ZipCode" />

                <label for="Latitude" class="control-label">Latitude :</label>
                <input type="text" class="form-control"
                       id="Latitude" placeholder="Latitude"
                       value="@Model?.Latitude" asp-for="Latitude" />

                <label for="Longitude" class="control-label">Longitude :</label>
                <input type="text" class="form-control"
                       id="Longitude" placeholder="Longitude"
                       value="@Model?.Longitude" asp-for="Longitude" />
            </div>
            <br />
            <input type="submit" class="btn btn-primary" value="Valider" />
            <a class="btn btn-default"
               asp-controller="Address" asp-action="Index">Annuler</a>
        </form>
    </div>
</div>